# ChatCompletionFinishReason


## Values

| Name             | Value            |
| ---------------- | ---------------- |
| `TOOL_CALLS`     | tool_calls       |
| `STOP`           | stop             |
| `LENGTH`         | length           |
| `CONTENT_FILTER` | content_filter   |
| `ERROR`          | error            |